Altostrat Studio is here — the AI-native network operations IDE for engineers running production. Terminal, diagrams, runbooks, and Copilot in one workspace. Get started →
curl --request GET \
--url https://v1.api.altostrat.io/notifications \
--header 'Authorization: Bearer <token>'[
{
"id": "ntfgrp_9b01a14c-1123-4279-88b1-3e42f9b846e1",
"name": "Primary On-Call Team Alerts",
"schedule_id": "sch_7d1b8c0c-5121-4f27-849c-29b3a0e6201a",
"mute": "schedule-active",
"notifiables": [
{
"id": "usr_5f0b6e1b-4f1e-4b4a-8b0a-0e6f0b6e1b4f",
"channel": "whatsapp"
}
],
"topics": [
"top_9cffb446-18a5-445a-948c-e6f1d98930af",
"top_9ba5d51f-3ada-44f2-9fb9-bf2404a29f50"
],
"sites": [
"site_a2b3c4d5-e6f7-g8h9-i0j1-k2l3m4n5o6p7",
"site_b3c4d5e6-f7g8-h9i0-j1k2-l3m4n5o6p7q8"
],
"created_at": "2025-10-29T12:24:17.000Z",
"updated_at": "2025-10-29T12:28:00.000Z"
}
]Retrieves a list of all notification groups configured for the authenticated user’s workspace. Each group represents a specific set of rules for routing alerts.
curl --request GET \
--url https://v1.api.altostrat.io/notifications \
--header 'Authorization: Bearer <token>'[
{
"id": "ntfgrp_9b01a14c-1123-4279-88b1-3e42f9b846e1",
"name": "Primary On-Call Team Alerts",
"schedule_id": "sch_7d1b8c0c-5121-4f27-849c-29b3a0e6201a",
"mute": "schedule-active",
"notifiables": [
{
"id": "usr_5f0b6e1b-4f1e-4b4a-8b0a-0e6f0b6e1b4f",
"channel": "whatsapp"
}
],
"topics": [
"top_9cffb446-18a5-445a-948c-e6f1d98930af",
"top_9ba5d51f-3ada-44f2-9fb9-bf2404a29f50"
],
"sites": [
"site_a2b3c4d5-e6f7-g8h9-i0j1-k2l3m4n5o6p7",
"site_b3c4d5e6-f7g8-h9i0-j1k2-l3m4n5o6p7q8"
],
"created_at": "2025-10-29T12:24:17.000Z",
"updated_at": "2025-10-29T12:28:00.000Z"
}
]Documentation Index
Fetch the complete documentation index at: https://altostrat.io/docs/llms.txt
Use this file to discover all available pages before exploring further.
Altostrat uses OAuth2 for authentication. Tokens can be obtained from the Altostrat Authentication API.
A list of notification groups.
The unique identifier for the notification group.
"ntfgrp_9b01a14c-1123-4279-88b1-3e42f9b846e1"
A human-readable name for the notification group.
"Primary On-Call Team Alerts"
The UUID of a Schedule object from the Chrono API, which defines when this group is active.
"sch_7d1b8c0c-5121-4f27-849c-29b3a0e6201a"
Controls the mute state of the group. schedule-active mutes when the schedule is inactive, schedule-inactive mutes when the schedule is active. never and always are absolute states.
schedule-active, schedule-inactive, never, always "schedule-active"
An array of recipients and their designated notification channels.
Show child attributes
An array of Topic UUIDs to which this group subscribes.
[
"top_9cffb446-18a5-445a-948c-e6f1d98930af",
"top_9ba5d51f-3ada-44f2-9fb9-bf2404a29f50"
]An array of Site UUIDs that this group will receive notifications for.
[
"site_a2b3c4d5-e6f7-g8h9-i0j1-k2l3m4n5o6p7",
"site_b3c4d5e6-f7g8-h9i0-j1k2-l3m4n5o6p7q8"
]The timestamp when the notification group was created.
"2025-10-29T12:24:17.000Z"
The timestamp when the notification group was last updated.
"2025-10-29T12:28:00.000Z"
Was this page helpful?